[SCM] live-build branch, debian-next, updated. debian/3.0_a56-1-1-g281e42d

Daniel Baumann daniel at debian.org
Tue Jul 31 17:30:36 UTC 2012


The following commit has been merged in the debian-next branch:
commit 281e42d267ca9109e5c39bc0f451739d8765caa4
Author: Daniel Baumann <daniel at debian.org>
Date:   Tue Jul 31 19:30:59 2012 +0200

    Concentrating all parted calls within lb_binary_hdd into one place in order to make things simpler.

diff --git a/scripts/build/lb_binary_hdd b/scripts/build/lb_binary_hdd
index 21690bd..b924e2f 100755
--- a/scripts/build/lb_binary_hdd
+++ b/scripts/build/lb_binary_hdd
@@ -176,6 +176,8 @@ case "${LB_BUILD_WITH_CHROOT}" in
 	true)
 		Chroot chroot "parted -s ${FREELO} mklabel ${PARTITION_TABLE_TYPE}" || true
 		Chroot chroot "parted -s ${FREELO} mkpart primary ${PARTITION_TYPE} 0.0 100%" || true
+		Chroot chroot "parted -s ${FREELO} set 1 boot on" || true
+		Chroot chroot "parted -s ${FREELO} set 1 lba off" || true
 
 		if [ "${LB_BOOTLOADER}" = "syslinux" ]
 		then
@@ -186,6 +188,8 @@ case "${LB_BUILD_WITH_CHROOT}" in
 	false)
 		parted -s ${FREELO} mklabel ${PARTITION_TABLE_TYPE} || true
 		parted -s ${FREELO} mkpart primary ${PARTITION_TYPE} 0.0 100% || true
+		parted -s "${FREELO}" set 1 boot on || true
+		parted -s "${FREELO}" set 1 lba off || true
 
 		if [ "${LB_BOOTLOADER}" = "syslinux" ]
 		then
@@ -292,23 +296,6 @@ Lodetach ${FREELO}
 
 echo "!!! The above error/warning messages can be ignored !!!"
 
-FREELO="$(${LB_LOSETUP} -f)"
-Losetup "${FREELO}" chroot/binary.img 0
-
-case "${LB_BUILD_WITH_CHROOT}" in
-	true)
-		Chroot chroot "parted -s ${FREELO} set 1 boot on" || true
-		Chroot chroot "parted -s ${FREELO} set 1 lba off" || true
-		;;
-
-	false)
-		parted -s "${FREELO}" set 1 boot on || true
-		parted -s "${FREELO}" set 1 lba off || true
-		;;
-esac
-
-Lodetach ${FREELO}
-
 if [ -n "${MAKEDEV}" ]
 then
 	rm -rf chroot/dev

-- 
live-build



More information about the debian-live-changes mailing list